<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#car1Table').bootstrapTable({
		 
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	       		showSearch: false,
               //显示刷新按钮
               showRefresh: false,
               //显示切换手机试图按钮
               showToggle: false,
               //显示 内容列下拉框
    	       showColumns: false,
    	       //显示到处按钮
    	       showExport: false,
    	       //显示切换分页按钮
    	       showPaginationSwitch: false,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: false,
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 100,
               //可供选择的每页的行数（*）    
               pageList: [100, 200],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/sg/progress/statisticsData",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
               	searchParam.pageNo = params.limit === undefined? "1" :params.offset/params.limit+1;
               	searchParam.pageSize = params.limit === undefined? -1 : params.limit;
               	searchParam.orderBy = params.sort === undefined? "" : params.sort+ " "+  params.order;
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
			$("#search-collapse").slideToggle();
		},
               columns: [{
		        checkbox: true
		       
		    }
			,{
		        field: 'projectYear',
		        title: '年度',
					   width:100,

				   }
			,{
		        field: 'constructionUnit',
		        title: '施工单位',
					   width:150,

				   }
			,{
		        field: 'projectOperationStatusT',
		        title: '项目已投运',
					   width:150,

				   }
			   ,{
				   field: 'projectOperationStatusF',
				   title: '项目未投运',
				   width:150,
			   }
			   ,{
				   field: 'whetherIsApprovalT',
				   title: '施工单位已送审',
					   width:150,

				   }
			   ,{
				   field: 'whetherIsApprovalF',
				   title: '施工单位未送审',
					   width:150,

				   }
			   ,{
				   field: 'approvedNotT',
				   title: '结算已审定',
					   width:150,

				   }
			   ,{
				   field: 'approvedNotF',
				   title: '结算未审定',
					   width:150,
				   }
		     ]
		
		});
		
		  
	  if(navigator.userAgent.match(/(iPhone|iPod|Android|ios)/i)){//如果是移动端

		 
		  $('#car1Table').bootstrapTable("toggleView");
		}
	  
	  $('#car1Table').on('check.bs.table uncheck.bs.table load-success.bs.table ' +
                'check-all.bs.table uncheck-all.bs.table', function () {
            $('#remove').prop('disabled', ! $('#car1Table').bootstrapTable('getSelections').length);
            $('#view,#edit').prop('disabled', $('#car1Table').bootstrapTable('getSelections').length!=1);
        });
		  
		$("#btnImport").click(function(){
			jp.open({
			    type: 2,
                area: [500, 150],
                auto: true,
			    title:"导入数据",
			    content: "${ctx}/tag/importExcel" ,
			    btn: ['下载模板','确定', '关闭'],
				    btn1: function(index, layero){
					  jp.downloadFile('${ctx}/sg/progress/template');
				  },
			    btn2: function(index, layero){
				        var iframeWin = layero.find('iframe')[0]; //得到iframe页的窗口对象，执行iframe页的方法：iframeWin.method();
						iframeWin.contentWindow.importExcel('${ctx}/sg/progress/import', function (data) {
							if(data.success){
								jp.success(data.msg);
								refresh();
								$('#carKind1jsTree').jstree("refresh");
							}else{
								jp.error(data.msg);
							}
                            jp.close(index);
                        });//调用保存事件
                    return false;
				  },
				 
				  btn3: function(index){ 
					  jp.close(index);
	    	       }
			}); 
		});
		
		
	 $("#export").click(function(){//导出Excel文件
			jp.downloadFile('${ctx}/sg/progress/export');
	  });

		    
	  $("#search").click("click", function() {// 绑定查询按扭
		  $('#car1Table').bootstrapTable('refresh');
		});
	 
	 $("#reset").click("click", function() {// 绑定查询按扭
		  $("#searchForm  input").val("");
		  $("#searchForm  select").val("");
		  $("#searchForm  .select-item").html("");
		  $('#car1Table').bootstrapTable('refresh');
		});
		
		
	});
		
  function getIdSelections() {
        return $.map($("#car1Table").bootstrapTable('getSelections'), function (row) {
            return row.id
        });
    }
  
  function deleteAll(){

		jp.confirm('确认要删除该建设进度吗？', function(){
			jp.loading();  	
			jp.get("${ctx}/sg/progress/deleteAll?ids=" + getIdSelections(), function(data){
         	  		if(data.success){
         	  			$('#car1Table').bootstrapTable('refresh');
						$('#carKind1jsTree').jstree("refresh");
         	  			jp.success(data.msg);
         	  		}else{
         	  			jp.error(data.msg);
         	  		}
         	  	})
          	   
		})
  }
    //刷新列表
  function refresh(){
  	$('#car1Table').bootstrapTable('refresh');
  }
  
   function add(){
	  jp.openSaveDialog('新增项目假设进度', "${ctx}/sg/progress/form",'800px', '500px');
  }

   function edit(id) {//没有权限时，不显示确定按钮
	   if (id == undefined) {
		   id = getIdSelections();
	   }
	   jp.openSaveDialog('编辑项目假设进度', "${ctx}/sg/progress/form?id=" + id, '800px', '500px');
   }


</script>